<?php

if( !function_exists ('bauen_enqueue_scripts') ) :
	function bauen_enqueue_scripts() {
	$bauen_options = get_option('bauen');
	wp_enqueue_script('modernizr', (BAUEN_THEME_URL . '/includes/js/modernizr-min.js'), array('jquery'), '1.0',true);	
	wp_enqueue_script('pace', (BAUEN_THEME_URL . '/includes/js/pace.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('popper', (BAUEN_THEME_URL . '/includes/js/popper-min.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('bootstrap', (BAUEN_THEME_URL . '/includes/js/bootstrap-min.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('scrollIt', (BAUEN_THEME_URL . '/includes/js/scrollIt-min.js'), array('jquery'), '1.0',true);
	if (Bauen_AfterSetupTheme::return_thme_option('enable_scroll_top')!='no'){
	wp_enqueue_script('bauen-scrollto-script', (BAUEN_THEME_URL . '/includes/js/scrollto-script.js'), array('jquery'), '1.0',true);
	}
	//wp_enqueue_script('sticky-kit', (BAUEN_THEME_URL . '/includes/js/sticky-kit-min.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('jquery-waypoints', (BAUEN_THEME_URL . '/includes/js/jquery-waypoints-min.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('owl-carousel', (BAUEN_THEME_URL . '/includes/js/owl-carousel-min.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('jquery-stellar', (BAUEN_THEME_URL . '/includes/js/jquery-stellar-min.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('jquery-magnific-popup', (BAUEN_THEME_URL . '/includes/js/jquery-magnific-popup.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('bauen-YouTubePopUp', (BAUEN_THEME_URL . '/includes/js/YouTubePopUp.js'), array('jquery'), '1.0',true);
	wp_register_script('map-min', (BAUEN_THEME_URL . '/includes/js/map-min.js'), array('jquery'), '1.0',true);  
	wp_register_script('bauen-map-script', (BAUEN_THEME_URL . '/includes/js/map-script.js'), array('jquery'), '1.0',true);	
	wp_register_script('bauen-coming-soon-script', (BAUEN_THEME_URL . '/includes/js/coming-soon-script.js'), array('jquery'), '1.0',true);	
    // OnePage JS
	wp_register_script('bauen-custom-full-one', (BAUEN_THEME_URL . '/includes/js/custom-full-one.js'), array('jquery'), '1.0',true);		
	wp_register_script('bauen-custom-sidebar-one', (BAUEN_THEME_URL . '/includes/js/custom-sidebar-one.js'), array('jquery'), '1.0',true);	
	wp_register_script('bauen-custom-one', (BAUEN_THEME_URL . '/includes/js/custom-one.js'), array('jquery'), '1.0',true);	
	//MultiPage JS
	wp_register_script('bauen-custom-full', (BAUEN_THEME_URL . '/includes/js/custom-full.js'), array('jquery'), '1.0',true);	
	wp_register_script('bauen-custom-toggle', (BAUEN_THEME_URL . '/includes/js/custom-toggle.js'), array('jquery'), '1.0',true);	
	wp_register_script('bauen-custom-toggle-full', (BAUEN_THEME_URL . '/includes/js/custom-toggle-full.js'), array('jquery'), '1.0',true);	
	wp_register_script('bauen-custom-sidebar', (BAUEN_THEME_URL . '/includes/js/custom-sidebar.js'), array('jquery'), '1.0',true);	
	wp_register_script('bauen-custom', (BAUEN_THEME_URL . '/includes/js/custom.js'), array('jquery'), '1.0',true);
	wp_enqueue_script('bauen-menu-close', (BAUEN_THEME_URL . '/includes/js/menu-close.js'), array('jquery'), '1.0',true);
	wp_register_script('isotope', (BAUEN_THEME_URL . '/includes/js/isotope.pkgd.min.js'), array('jquery'), '1.0',true);
	wp_register_script('imagesloaded', (BAUEN_THEME_URL . '/includes/js/imagesloaded.pkgd.min.js'), array('jquery'), '1.0',true);
	wp_register_script('bauen-loadmore', (BAUEN_THEME_URL . '/includes/js/bauen-loadmore.js'), array('jquery'), '1.0',true);
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
	}
}
	add_action('wp_enqueue_scripts', 'bauen_enqueue_scripts');
endif;